{ copyright  Kestral Computing
  refer to xyGraph.pas, index.htm for more information }

unit XyReg;

interface

uses DsgnIntf;

type
  TxyGraphCompEditor = class (TComponentEditor)
  private
    procedure editgraph;
    procedure editseries;
  public
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
    procedure ExecuteVerb(Index: Integer); override;
    procedure Edit; override;
    procedure Copy; override;
  end;

procedure Register;

implementation

uses xydesign, xyDatWiz, xygraph, xyHolder, xyHist, classes;

procedure TxyGraphCompEditor.editGraph;
begin
  if editxyGraph(nil, component as txyGraph) then designer.modified;
end;

procedure TxyGraphCompEditor.editSeries;
begin
  if ShowxyDataWizard(nil, component as txyGraph)
    then designer.modified;
end;

function TxyGraphCompEditor.GetVerb(Index: Integer): string;
begin
  case Index of
   0:result := '&Designer...';
   1:result := 'Series &Wizard...';
   2:result := '&Print';
  end;
end;

function TxyGraphCompEditor.GetVerbCount: Integer;
begin
  result := 3;
end;

procedure TxyGraphCompEditor.ExecuteVerb(Index: Integer);
begin
  case index of
   0:editgraph;
   1:editseries;
   2:(component as txyGraph).Print;
  end;
end;

procedure TxyGraphCompEditor.edit;
begin
  editgraph;
end;

procedure TxyGraphCompEditor.copy;
begin
  (component as txyGraph).CopytoClipboard;
end;

procedure Register;
begin
  RegisterComponents('TxyGraph', [TxyGraph]);
  RegisterComponents('TxyGraph', [TxyHolder]);
  RegisterComponents('TxyGraph', [THistogram]);
  RegisterComponentEditor(TxyGraph, TxyGraphCompEditor);
end;

end.

